List medical records
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/medical \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/medical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/medical"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"record_type": "vaccination",
"name": "<string>",
"performed_on": "2023-12-25",
"due_on": "2023-12-25",
"notes": "<string>",
"performed_by_person_id": "<string>",
"recurrence_interval": 123,
"recurrence_unit": "day",
"series_id": "<string>",
"recurrence_ended_at": "2023-11-07T05:31:56Z",
"veterinary_practice_id": "<string>",
"veterinarian_person_id": "<string>",
"medication_id": "<string>",
"refills_remaining": 123,
"prescription_expires_on": "2023-12-25",
"catalogue_item_id": "<string>",
"result_status": "pending",
"details": {},
"performed_in_house": true,
"due_start_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"task_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"performed_by_name": "<string>",
"veterinarian_name": "<string>",
"veterinary_practice_name": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Animal medical records
List medical records
Every medical record on the animal: what is still to do first, then what was done, latest first. Each carries the names of the person who did it, the vet and the practice. Needs read on Animals.
GET
/
api
/
animals
/
animals
/
{id}
/
medical
List medical records
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/medical \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/medical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/medical"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"record_type": "vaccination",
"name": "<string>",
"performed_on": "2023-12-25",
"due_on": "2023-12-25",
"notes": "<string>",
"performed_by_person_id": "<string>",
"recurrence_interval": 123,
"recurrence_unit": "day",
"series_id": "<string>",
"recurrence_ended_at": "2023-11-07T05:31:56Z",
"veterinary_practice_id": "<string>",
"veterinarian_person_id": "<string>",
"medication_id": "<string>",
"refills_remaining": 123,
"prescription_expires_on": "2023-12-25",
"catalogue_item_id": "<string>",
"result_status": "pending",
"details": {},
"performed_in_house": true,
"due_start_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"task_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"performed_by_name": "<string>",
"veterinarian_name": "<string>",
"veterinary_practice_name": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}